YouVersion PlatformYouVersion Platform
PlatformBiblesDev Docs
CommunityPartnersSupport

YouVersion Platform

Build applications and integrate with the world's most popular Bible platform.

Platform Products

  • Platform Portal
  • Developer Documentation
  • App Management

Resources

  • Support
  • Press inquiries

Legal

  • Privacy Policy
  • Terms of Use

© 2025 YouVersion. All rights reserved.

  • Overview
  • API Reference
  • SDKs
  • Changelog
<  Back to Platform
bibles
    Get a Bible collectiongetGet a Bible's datagetGet the index for a BiblegetGet a passage of Bible textgetGet a Book collection for a BiblegetGet a Book's datagetGet a Chapter collection for a BookgetGet a Chapter's datagetGet a Verse collection for a ChaptergetGet a Verse's dataget
fonts
    Get a collection of fonts supported in the Platform.getGet details about a specific font family in the Platform.getGet a browser-consumable stylesheet for a specific font family.get
highlights
    Get a collection of highlights for a user.getCreate or update a highlight on a passage.postClear highlights for a passage.delete
languages
    Get a collection of languages supported in the Platform.getGet details about a specific language in the Platform.get
licenses
    Get a collection of licensesget
organizations
    Get a collection of organizations in the Platform.getGet details about a specific organization in the Platform.getGet bibles associated with a specific organization in the Platform.get
verse of the days
    Get the verse of the day calendar for an entire year.getGet the verse of the day for a specific day of the year.get
Schemas
Transformers
Transformers

verse of the days

Endpoint

Get the daily YouVersion Bible verse selections for calendar days. Get the full year's verse calendar, or get the verse for a specific day.


Get the verse of the day calendar for an entire year.

GET
https://api.youversion.com
/v1/verse_of_the_days

January 1 is day 1 and December 31 is day 365 (or 366 in a leap year).

Get the verse of the day calendar for an entire year. › Responses

Successful request

​object[] · required
GET/v1/verse_of_the_days
curl --request GET \ --url https://api.youversion.com/v1/verse_of_the_days
shell
Example Responses
{ "data": [ { "day": 1, "passage_id": "JHN.3.16" } ] }
json
application/json

Get the verse of the day for a specific day of the year.

GET
https://api.youversion.com
/v1/verse_of_the_days/{day}

Day is the day of the year (1-366).

Get the verse of the day for a specific day of the year. › path Parameters

day
​integer · min: 1 · max: 366 · required

The day of the year (1-366)

Example: 1

Get the verse of the day for a specific day of the year. › Responses

Successful request

day
​integer · min: 1 · max: 366 · required
passage_id
​string · required

The passage identifier

Example: JHN.3.16
GET/v1/verse_of_the_days/{day}
curl --request GET \ --url https://api.youversion.com/v1/verse_of_the_days/:day
shell
Example Responses
{ "day": 1, "passage_id": "JHN.3.16" }
json
application/json

organizations